// --------------------------------------------------------------------------
// Articles
// --------------------------------------------------------------------------

.articles {
    padding: 60px 0;
    background: #F6F9FB;
    @include breakpoint(xl) {
        padding: 0 0 80px;
        margin: 0 0 100px;
    }
}

.articles__title {
    @extend .ui-title-34;
    line-height: 40px;
    margin: 0 0 40px;
}

.articles__swiper {
    margin: 0 0 30px;
}

.articles__action {
    text-align: right;
}

.articles__item {
    border-radius: 3px;
    overflow: hidden;
    display: block;
    min-height: 100%;
    background: #fff;
    text-decoration: none;
    color: #000;
    &:hover {
        text-decoration: none;
        color: #000;
        .articles__item-image img {
            transform: scale(1.1);
        }
        .articles__item-title {
            color: #00757E;
        }
    }
}

.articles__item-image {
    margin: 0;
    position: relative;
    height: 182px;
    background: #ccc;
    overflow: hidden;
    border-radius: 3px 3px 0 0;
    &:after {
        content: '';
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(0, 117, 126, 0.5) 100%);
    }
    img {
        transition: 0.25s;
        display: block;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
}

.articles__item-desc {
    padding: 15px 15px 30px;
}

.articles__item-title {
    display: block;
    font-weight: 500;
    font-size: 20px;
    line-height: 1.333;
    letter-spacing: -0.4px;
    margin: 0 0 10px;
    transition: color 0.25s;
    @include breakpoint(xl) {
        font-size: 24px;
    }
}

.articles__item-text {
    margin: 0;
    font-size: 16px;
    line-height: 1.44;
    font-weight: 400;
    color: #4F4F4F;
    display: block;
}